Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class ToBeImplementedProperty.Maker

    java.lang.Object
      org.apache.fop.fo.properties.PropertyMaker
          org.apache.fop.fo.properties.ToBeImplementedProperty.Maker

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  ToBeImplementedProperty

    public static class ToBeImplementedProperty.Maker

extends PropertyMaker

A to be implemented property maker instance.

Field Summary

Fields inherited from class org.apache.fop.fo.properties.PropertyMaker
`contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

Constructor Summary
`ToBeImplementedProperty.Maker(int propId)` Instantiate a to be implemented property maker instance.

Method Summary
`Property` | `convertProperty(Property p, PropertyList propertyList, FObj fo)` Return a Property object based on the passed Property object.

Methods inherited from class org.apache.fop.fo.properties.PropertyMaker
`addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToBeImplementedProperty.Maker

    public ToBeImplementedProperty.Maker(int propId)

  Instantiate a to be implemented property maker instance.

  Parameters:
    `propId` - a property id

Method Detail

### convertProperty

    public Property convertProperty(Property p,
                                    PropertyList propertyList,
                                    FObj fo)

  Description copied from class: `PropertyMaker`
  Return a Property object based on the passed Property object. This method is called if the Property object built by the parser isn't the right type for this property. It is overridden by subclasses.

  Overrides:
    `convertProperty` in class `PropertyMaker`
  Parameters:
    `p` - The Property object return by the expression parser
    `propertyList` - The PropertyList object being built for this FO.
    `fo` - The parent FO for the FO whose property is being made.
  Returns:
    A Property of the correct type or null if the parsed value can't be converted to the correct type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.